Bio::DB::HTS::Tabix::Iterator(3pm)

LICENSE
Copyright [2015-2018] EMBL-European Bioinformatics Institute

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

NAME
Bio::DB::HTS::Tabix::Iterator - XS module wrapping around a tabix hts_itr_t

SYNOPSIS
You shouldn't be instantiating one of these manually it needs a load of pointers. Usage would be through Bio::DB::HTS::Tabix:

    use feature qw( say );
    use Bio::DB::HTS::Tabix;

    my $tabix = Bio::DB::HTS::Tabix->new( filename => "gerp_plus_plus_31July2014.gz" );

    say $tabix->header;
    my $iter = $tabix->query("1:4000005-4000009");

    while ( my $n = $iter->next ) {
        say $n;
    }

DESCRIPTION
This is returned from Bio::DB::HTS::Tabix, the only method you need to care about is 'next'.

Don't go importing this and calling new on it if you value your sanity, it won't work.

  Methods

"next"
    Returns a string with the line from the tabix iterator

AUTHOR
Alex Hodgkins Rishi Nag <rishi@ebi.ac.uk>